#!/usr/bin/env Rscript

library(knitr, quietly  = TRUE)
library(markdown, quietly  = TRUE)
library(rjson, quietly =TRUE)
library(pander, quietly =TRUE)

args <- commandArgs(TRUE)

TARGET <- args[1]  # accepts argument from command line
SITE = basename(tools::file_path_sans_ext(TARGET))
DIR <- file.path("../../data/metadata/sites", SITE) # this variable required by knitr script
cat(DIR)

knit("site_description.Rmd", output = TARGET)
# produces the md file		
